#ifndef UTILITY_H
#define UTILITY_H

#include <string>

//函数名: GetProcDir() 
//功  能: 获取当前程序的路径 
std::string GetProcDir();

//UNICODE码转为GB2312码
std::string charset_u2g(const std::string& utf8);

//GB2312码转为UNICODE码
std::string charset_g2u(const std::string& gb2312);

//获取时间戳（秒）
int64_t timestamp_seconds();

//获取时间戳（毫秒）
int64_t timestamps_milliseconds();

//根据时间戳(毫秒)获取时间
std::string getdatetime(int64_t timestamp);

//延时秒数
void os_sleep(int seconds);

#endif
